> ## Documentation Index
> Fetch the complete documentation index at: https://docs.primev.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# GetCommitmentInfo

> GetCommitmentInfo is called by the provider to retrieve the commitment information.



## OpenAPI

````yaml /v1.1.0/api-reference/provider-openapi-spec.json get /v1/provider/get_commitment_info
openapi: 3.0.0
info:
  title: Provider API
  version: 1.1.5-oas3
  license:
    name: Business Source License 1.1
    url: https://github.com/primev/mev-commit/blob/main/LICENSE
servers: []
security: []
paths:
  /v1/provider/get_commitment_info:
    get:
      summary: GetCommitmentInfo
      description: >-
        GetCommitmentInfo is called by the provider to retrieve the commitment
        information.
      operationId: Provider_GetCommitmentInfo
      parameters:
        - name: blockNumber
          description: >-
            Optional block number for which to get the commitment information.
            If not specified all block numbers are returned in ascending order
          in: query
          required: false
          schema:
            type: string
            format: int64
        - name: page
          description: Optional page number for pagination. Defaults to 0.
          in: query
          required: false
          schema:
            type: integer
            format: int32
        - name: limit
          description: >-
            Optional limit for the number of commitments to return per page.
            Defaults to 100.
          in: query
          required: false
          schema:
            type: integer
            format: int32
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/v1CommitmentInfoResponse'
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/googlerpcStatus'
components:
  schemas:
    v1CommitmentInfoResponse:
      type: object
      properties:
        commitments:
          type: array
          items:
            $ref: '#/components/schemas/CommitmentInfoResponseBlockCommitments'
          description: List of commitments made in the block.
      description: Response containing the commitment information.
      title: Commitment info response
      required:
        - commitments
    googlerpcStatus:
      type: object
      properties:
        code:
          type: integer
          format: int32
        message:
          type: string
        details:
          type: array
          items:
            $ref: '#/components/schemas/protobufAny'
    CommitmentInfoResponseBlockCommitments:
      type: object
      properties:
        blockNumber:
          type: string
          format: int64
          description: Block number for which the commitments are made.
        commitments:
          type: array
          items:
            $ref: '#/components/schemas/v1CommitmentInfoResponseCommitment'
          description: List of commitments made in the block.
    protobufAny:
      type: object
      properties:
        '@type':
          type: string
      additionalProperties: {}
    v1CommitmentInfoResponseCommitment:
      type: object
      properties:
        txnHashes:
          type: array
          items:
            type: string
            pattern: '[a-fA-F0-9]{64}'
          description: List of transaction hashes that are part of the commitment.
        revertableTxnHashes:
          type: array
          items:
            type: string
            pattern: '[a-fA-F0-9]{64}'
          description: List of transaction hashes that are allowed to revert.
        amount:
          type: string
          description: Amount of ETH in wei committed by the bidder.
          pattern: '[0-9]+'
        blockNumber:
          type: string
          format: int64
          description: Block number at which the commitment is made.
        providerAddress:
          type: string
          description: >-
            Hex string encoding of the address of the provider that signed the
            commitment signature.
        decayStartTimestamp:
          type: string
          format: int64
          description: Timestamp at which the bid starts decaying.
        decayEndTimestamp:
          type: string
          format: int64
          description: Timestamp at which the bid ends decaying.
        dispatchTimestamp:
          type: string
          format: int64
          description: Timestamp at which the commitment is published.
        slashAmount:
          type: string
          description: >-
            Amount of ETH that will be slashed from the provider if they fail to
            include the transaction.
        status:
          type: string
          description: >-
            Status of the commitment. Possible values: 'pending', 'stored',
            'opened', 'settled', 'slashed', 'failed'.
        details:
          type: string
          description: Additional details about the commitment status.
        payment:
          type: string
          description: Payment amount in wei for the commitment.
        refund:
          type: string
          description: Refund amount in wei for the commitment, if applicable.

````